var repair = 5; var damageGet = 1; var itemID = 257; var maxDamage = 250;
var power = 7+Math.sqrt(mining_lvl*3); var breakSpeech = "Precious Iron!! How I will make another one?";
var tool = [15, 15, 15, 20, 4, 85, 7]; itemUsed = true; mainSkill = mining_lvl;

if (pinv.getCurrentItem() != null)
{if (pinv.getCurrentItem().itemID == itemID) {var ent = pinv.getCurrentItem(); player.swingMainHand();}}
if (pinv.getOffhandItem() != null) 
{if (pinv.getOffhandItem().itemID == itemID) {var ent = pinv.getOffhandItem(); player.swingOffHand();}}

if (hitBlock != null) {time.sleep(0.05);
script.runScript("destructable blocks.js");}